package com.pnlyy.midi_support.utils;

import android.util.Log;

/**
 * 日志工具
 *
 * @author liben
 * @date 11/30/20
 */
public class LogTool {

    public static boolean enable = true;
    private static final String TAG = "MidiHelper";

    public static void i(String data) {
        if (enable) {
            Log.i(TAG, data);
        }
    }

    public static void e(String data) {
        if (enable) {
            Log.e(TAG, data);
        }
    }

    public static void e(Throwable e) {
        if (enable) {
            e.printStackTrace();
            Log.e(TAG, e.toString());
        }
    }
}
