
import 'dart:async';

import 'package:flutter/services.dart';

class MidiOtgPlugin {
  static const MethodChannel _channel =
      const MethodChannel('midi_otg_plugin');



  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }


  void registerMethodCall(){
    _channel.setMethodCallHandler(platformCallHandler);
  }


  Future<dynamic> platformCallHandler(MethodCall call) async {
    switch (call.method) {
      case "get_message":
        print("Hello from Flutter");
        return "Hello from Flutter";
        break;
      case "on_otg_device":
      case "on_data":
        return call.arguments;
        break;
    }




  }

}
