package com.pnlyy.midi_support;

/**
 * midi usb设备支持接口类
 * Android M+ 使用MidiManager
 * Android M- 使用UsbManager
 *
 * @author liben
 * @date 11/30/20
 */
interface MidiSupportImpl<DeviceType> {

    void init();

    void doConnect(DeviceType device);

    void disconnect();

    void onDestroy();

    boolean isConnected();

    void reconnect();
}
